Package org.flowable.cmmn.api.repository

# Interface CmmnDeploymentBuilder

public interface CmmnDeploymentBuilder
Builder for creating new deployments, similar to the bpmn deployment builder. A builder instance can be obtained through `CmmnRepositoryService.createDeployment()`. Multiple resources can be added to one deployment before calling the `deploy()` operation. After deploying, no more changes can be made to the returned deployment and the builder instance can be disposed.

Author:
  Tijs Rademakers, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CmmnDeploymentBuilder`
  `addBytes(String resourceName, byte[] bytes)`
  `CmmnDeploymentBuilder`
  `addClasspathResource(String resource)`
  `CmmnDeploymentBuilder`
  `addInputStream(String resourceName, InputStream inputStream)`
  `CmmnDeploymentBuilder`
  `addString(String resourceName, String text)`
  `CmmnDeploymentBuilder`
  `addZipInputStream(ZipInputStream zipInputStream)`
  `CmmnDeploymentBuilder`
  `category(String category)`
  Gives the deployment the given category.
  `CmmnDeployment`
  `deploy()`
  Deploys all provided sources to the CMMN engine.
  `CmmnDeploymentBuilder`
  `disableSchemaValidation()`
  If called, no XML schema validation against the BPMN 2.0 XSD.
  `CmmnDeploymentBuilder`
  `enableDuplicateFiltering()`
  If set, this deployment will be compared to any previous deployment.
  `CmmnDeploymentBuilder`
  `key(String key)`
  Gives the deployment the given key.
  `CmmnDeploymentBuilder`
  `name(String name)`
  Gives the deployment the given name.
  `CmmnDeploymentBuilder`
  `parentDeploymentId(String parentDeploymentId)`
  Gives the deployment the given parent deployment id.
  `CmmnDeploymentBuilder`
  `tenantId(String tenantId)`
  Gives the deployment the given tenant id.

- ## Method Details

  - ### addInputStream

    CmmnDeploymentBuilder addInputStream(String resourceName, InputStream inputStream)

  - ### addClasspathResource

    CmmnDeploymentBuilder addClasspathResource(String resource)

  - ### addString

    CmmnDeploymentBuilder addString(String resourceName, String text)

  - ### addBytes

    CmmnDeploymentBuilder addBytes(String resourceName, byte[] bytes)

  - ### addZipInputStream

    CmmnDeploymentBuilder addZipInputStream(ZipInputStream zipInputStream)

  - ### disableSchemaValidation

    CmmnDeploymentBuilder disableSchemaValidation()
    If called, no XML schema validation against the BPMN 2.0 XSD. Not recommended in general.

  - ### name

    CmmnDeploymentBuilder name(String name)
    Gives the deployment the given name.

  - ### category

    CmmnDeploymentBuilder category(String category)
    Gives the deployment the given category.

  - ### key

    CmmnDeploymentBuilder key(String key)
    Gives the deployment the given key.

  - ### tenantId

    CmmnDeploymentBuilder tenantId(String tenantId)
    Gives the deployment the given tenant id.

  - ### parentDeploymentId

    CmmnDeploymentBuilder parentDeploymentId(String parentDeploymentId)
    Gives the deployment the given parent deployment id.

  - ### enableDuplicateFiltering

    CmmnDeploymentBuilder enableDuplicateFiltering()
    If set, this deployment will be compared to any previous deployment. This means that every (non-generated) resource will be compared with the provided resources of this deployment.

  - ### deploy

    CmmnDeployment deploy()
    Deploys all provided sources to the CMMN engine.